POST /projects/{project_id}/domain-notices/{notice_id}
Mark an expiry notice
Console session only (signed-in console).
Parameters
| Name | In | Type | Description |
|---|---|---|---|
project_id | path | string · required | |
notice_id | path | string · required |
Request body
application/json · schema DomainNoticeUpdate
| Field | Type | Description |
|---|---|---|
status | "read" | "dismissed" · required |
Responses
| Status | Description | Body |
|---|---|---|
200 | Notice updated | |
404 | Notice not found | |
422 | Invalid parameters | Error |
Examples
curl
curl -X POST "$GALON_API_BASE/projects/<project_id>/domain-notices/<notice_id>" \
-H "Authorization: Bearer $GALON_API_KEY" \
-H "Content-Type: application/json" \
-d '{"status": "read"}'